.footer {
  background-color: black;
  min-width: $display-width-320;

  &__content {
    max-width: $display-width-320;
    margin: 0 auto;
    padding: 38px 0 47px;
    text-align: center;
    color: white;
  }

  &__title {
    text-transform: uppercase;
    font-size: $title-font-size;
    font-weight: bold;
    margin: 0;
  }

  &__text {
    margin-top: 8px;
    padding: 0 10%;
    font-size: $footer-font-size;
    line-height: 20px;
  }

  &-links {
    @include flex-content;
    justify-content: center;
    padding: 26px 0;

    &__item {
      display: block;
      text-decoration: none;
      width: 34px;
      height: 34px;
      border-radius: 50%;
      box-sizing: border-box;
      border: 2px solid;
      margin: 0 3px;
      background-repeat: no-repeat;
      background-position: center;

      &_rss-ico {
        background-image: url("../img/rss-icon.png");
        border-color: #F8902E;
      }

      &_fb-ico {
        background-image: url("../img/facebook-icon.png");
        border-color: #39599F;
      }

      &_twit-ico {
        background-image: url("../img/twitter-icon.png");
        border-color: #45B0E3;
      }

      &_drib-ico {
        background-image: url("../img/dribbble-icon.png");
        border-color: #D97AB0;
      }

      &_pin-ico {
        background-image: url("../img/pinterest-icon.png");
        border-color: #CC212C;
      }
    }
  }

  &__contacts {
    font-size: $title-font-size;
    line-height: 24px;
    white-space: pre-line;

    &_sep-line {
      padding: 0 10px;
    }
  }
}

@media screen and (min-width: 768px) {
  .footer {
    &__content {
      max-width: $display-width-768;
      padding-bottom: 56px;
    }

    &__contacts {
      font-size: $title-font-size-big;
      white-space: normal;
    }

    &__title {
      font-size: $title-font-size-big;
    }

    &__text {
      font-size: $footer-font-size-big;
      line-height: 28px;
    }
  }
}

@media screen and (min-width: 1200px) {
  .footer {
    &__content {
      padding-bottom: 70px;
    }
  }
}